Subject: Re: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Stefan Monnier <[email-masked]>
Date: Tue, 10 Aug 2010 17:54:23 +0200

> I think it should and so does the applications that claim to
> conform. Pressing Shift-Left Arrow starts a selection in those
> X applications, and that sets PRIMARY.  C-SPC C-f is Emacs way of doing
> shift-selection as I see it.

We don't have to treat shift-selection in the same way that we treat
C-SPC C-f.

> But emacs 23.1 at least does not do this for shift-selection.  That is
> unlike the other X apps.  Why not take ownership of PRIMARY in this case?
> It is not as it is a performance issue.  You don't have to copy the text
> until someone asks for it.

C-SPC may be used for other purposes (e.g. C-SPC C-SPC)

        Stefan